<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, user-scalable=no">
  <meta name="description" content="API docs for the WialonError constructor from Class WialonError from the wialon library, for the Dart programming language.">
  <title>WialonError constructor - WialonError - wialon library - Dart API</title>


  
  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  
  <link rel="stylesheet" href="../../static-assets/github.css?v1">
  <link rel="stylesheet" href="../../static-assets/styles.css?v1">
  <link rel="icon" href="../../static-assets/favicon.png?v1">

  
</head>


<body data-base-href="../../"
      data-using-base-href="false">

<div id="overlay-under-drawer"></div>

<header id="title">
  <button id="sidenav-left-toggle" type="button">&nbsp;</button>
  <ol class="breadcrumbs gt-separated dark hidden-xs">
    <li><a href="../../index.html">wialon</a></li>
    <li><a href="../../wialon/wialon-library.html">wialon</a></li>
    <li><a href="../../wialon/WialonError-class.html">WialonError</a></li>
    <li class="self-crumb">WialonError constructor</li>
  </ol>
  <div class="self-name">WialonError</div>
  <form class="search navbar-right" role="search">
    <input type="text" id="search-box" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<main>


  <div id="dartdoc-main-content" class="main-content">
      <div>
<h1><span class="kind-constructor">WialonError</span> constructor 
    <a href="https://dart.dev/null-safety" class="feature feature-null-safety" title="Supports the null safety language feature.">Null safety</a>
</h1></div>

    <section class="multi-line-signature">
      <span class="name ">WialonError</span>(<wbr><ol class="parameter-list"><li><span class="parameter" id="-param-code">{<span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/int-class.html">int</a>?</span> <span class="parameter-name">code</span>, </span></li>
<li><span class="parameter" id="-param-details"><span class="type-annotation"><a href="https://api.flutter.dev/flutter/dart-core/String-class.html">String</a>?</span> <span class="parameter-name">details</span>}</span></li>
</ol>)
    </section>

    


    
<section class="summary source-code" id="source">
  <h2><span>Implementation</span></h2>
  <pre class="language-dart"><code class="language-dart">WialonError({int? code, String? details}) {
  this.code = code;
  if (this._messages[code] != null) {
    this._message = &quot;${this._messages[code]}&quot;;
  } else {
    this._message = &quot;${this._messages[-1]}&quot;;
  }

  if (details?.isNotEmpty ?? false) {
    this._message += &quot; - ${details}&quot;;
  }
}</code></pre>
</section>


  </div> <!-- /.main-content -->

  <div id="dartdoc-sidebar-left" class="sidebar sidebar-offcanvas-left">
    <header id="header-search-sidebar" class="hidden-l">
  <form class="search-sidebar" role="search">
    <input type="text" id="search-sidebar" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<ol class="breadcrumbs gt-separated dark hidden-l" id="sidebar-nav">
  <li><a href="../../index.html">wialon</a></li>
  <li><a href="../../wialon/wialon-library.html">wialon</a></li>
  <li><a href="../../wialon/WialonError-class.html">WialonError</a></li>
  <li class="self-crumb">WialonError constructor</li>
</ol>


    <h5>WialonError class</h5>
    <ol>

        <li class="section-title"><a href="../../wialon/WialonError-class.html#constructors">Constructors</a></li>
          <li><a href="../../wialon/WialonError/WialonError.html">WialonError</a></li>


    <li class="section-title">
      <a href="../../wialon/WialonError-class.html#instance-properties">Properties</a>
    </li>
    <li><a href="../../wialon/WialonError/code.html">code</a></li>
    <li><a href="../../wialon/WialonError/details.html">details</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/hashCode.html">hashCode</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html">runtimeType</a></li>

    <li class="section-title"><a href="../../wialon/WialonError-class.html#instance-methods">Methods</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html">noSuchMethod</a></li>
    <li><a href="../../wialon/WialonError/toString.html">toString</a></li>

    <li class="section-title inherited"><a href="../../wialon/WialonError-class.html#operators">Operators</a></li>
    <li class="inherited"><a href="https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html">operator ==</a></li>




</ol>

  </div><!--/.sidebar-offcanvas-left-->

  <div id="dartdoc-sidebar-right" class="sidebar sidebar-offcanvas-right">
  </div><!--/.sidebar-offcanvas-->

</main>

<footer>
  <span class="no-break">
    wialon
      2.0.3
  </span>

  
</footer>



<script src="../../static-assets/highlight.pack.js?v1"></script>
<script src="../../static-assets/script.js?v1"></script>



</body>

</html>

